Skip to main content
`Ctrl`+`K`

# DMDASetNonOverlappingRegion

Sets the indices of the nonoverlapping region of a subdomain `DMDA`.

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDASetNonOverlappingRegion(DM da, PetscInt xs, PetscInt ys, PetscInt zs, PetscInt xm, PetscInt ym, PetscInt zm)

Collective

## Input Parameters

- da - The `DMDA`

- xs - The start of the region in x

- ys - The start of the region in y

- zs - The start of the region in z

- xm - The size of the region in x

- ym - The size of the region in y

- zm - The size of the region in z

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetOffset()`, `DMDAVecGetArray()`

## Level

intermediate

## Location

src/dm/impls/da/da.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages